Sign inGet started

Delete a brand

DELETE
/organizations/{organizationId}/tcr-brands/{brandId}
Delete brand at organization level . A brand can be deleted if it doesn't have any active campaigns.
响应载荷
id
string
The ID of the number.
tcrBrandId
string
The Campaign Registry brand ID.
organizationId
string
createdAt
string
Timestamp (UTC) when the brand was created.
updatedAt
string
Timestamp (UTC) when the brand was last updated.
status
string
Brand status
Possible values: FAILED, PENDING, REJECTED, APPROVED, DELETED, DRAFT
authPlusStatus
string
Brand Auth+ status
Possible values: NOT_APPLICABLE, NEEDS_CHARGE, NEEDS_TRIGGER, DONE
entityType
string
必填
Legal entity type. It can't be updated when the brand is approved.
Possible values: PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, ``
firstName
string
First or given name. Applicable to entity type.
lastName
string
Last or Surname. Applicable to entity type.
displayName
string
必填
Display or marketing name your brand.
companyName
string
必填
Legal company name. This should match the legal company name used to register your EIN/Tax ID.
ein
string
必填
Government assigned corporate tax ID. EIN is 9-digits in the U.S.
einIssuingCountry
string
必填
The 2 letter ISO country of registration submitted with your EIN / Tax ID registration.
phone
string
必填
Valid phone number in e.164 international format.
street
string
必填
Street number and name.
city
string
必填
City name
state
string
必填
State. Must be a 2 letter state code for US states.
postalCode
string
必填
Postal code. Must be a 5 digit zip code for the United States.
country
string
必填
ISO 2 character country code.
email
string
必填
Valid email address of brand support contact.
stockSymbol
string
Stock symbol.
stockExchange
string
Stock exchange. Required for entityType PUBLIC.
Possible values: NONE, NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE, OTHER, ``
website
string
必填
Brand website URL.
vertical
string
Vertical or industry segment of the brand.
altBusinessId
string
Alternate business identifier.
altBusinessIdType
string
Alternate business identifier type. Required if altBusinessId is provided.
Possible values: NONE, DUNS, GIIN, LEI, ``
businessContactEmail
string
Business contact email.
businessContactEmailVerifiedDate
string
Timestamp (UTC) when the brand businessContactEmail was verified.
rejection
object
Rejection details
显示子属性
rejection.description
string
必填
Rejection description
rejection.code
string
Rejection code
workspaceIds
array of string
必填
organizationWide
boolean
必填
If true, this brand is available to all workspaces in the organization, including newly created workspaces.
代码示例
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/tcr-brands/{brandId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'